> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# removeGarnishment

> The `removeGarnishment` API is used to remove a garnishment from an employee

### When to use:
- When the garnishment is paid in full outside of payroll
- When a garnishment is no longer applicable to the employee

### Notes: 
- An employee's active garnishments and garnishmentIds can be viewed using the `getUser` API
- Once removed, the garnishment will no longer show in `getUser`, and will not be applied to future pay periods



## OpenAPI

````yaml post /adminPortal/removeGarnishment
openapi: 3.1.0
info:
  title: Default module
  description: |
    Webhook events emitted when a company's KYB status is created or changes.

    Rollfi sends these requests to the webhook URL configured for the client.
    Consumers should return a successful 2xx response after accepting the event.
  version: 1.0.0
servers: []
security: []
tags:
  - name: Admin Portal
  - name: Pay Schedule Webhooks
  - name: Pay Period Webhooks
  - name: Employee Bank Account Webhooks
  - name: Employee KYC Webhooks
  - name: Company Bank Account Webhooks
  - name: Company Webhooks
  - name: Employee Status Webhooks
paths:
  /adminPortal/removeGarnishment:
    post:
      tags: []
      summary: removeGarnishment
      description: >-
        The `removeGarnishment` API is used to remove a garnishment from an
        employee


        ### When to use:

        - When the garnishment is paid in full outside of payroll

        - When a garnishment is no longer applicable to the employee


        ### Notes: 

        - An employee's active garnishments and garnishmentIds can be viewed
        using the `getUser` API

        - Once removed, the garnishment will no longer show in `getUser`, and
        will not be applied to future pay periods
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                userId:
                  type: string
                companyId:
                  type: string
                garnishmentId:
                  type: string
              required:
                - method
                - userId
                - companyId
                - garnishmentId
            example:
              method: removeUserGarnishment
              userId: 1755E872-9092-4ECE-8386-860531D492D3
              companyId: 21DA3F1A-E593-42EcE-95F5-A22EDF6382F0
              garnishmentId: 52F6249E-F4ED-40C2-B25F-39BB99BCF98D
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                required:
                  - success
                  - message
              example:
                success: true
                message: Garnishment removed successfully
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                required:
                  - error
              example:
                error:
                  code: 404
                  message: garnishment not found
          headers: {}
      deprecated: false
      security: []

````